diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/rectangle.h ns-3.43/src/mobility/model/rectangle.h
--- ns-3.42/src/mobility/model/rectangle.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/rectangle.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/steady-state-random-waypoint-mobility-model.cc ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.cc
--- ns-3.42/src/mobility/model/steady-state-random-waypoint-mobility-model.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Denis Fakhriev <fakhriev@iitp.ru>
  */
@@ -101,6 +90,11 @@
     m_position = CreateObject<RandomBoxPositionAllocator>();
 }
 
+SteadyStateRandomWaypointMobilityModel::~SteadyStateRandomWaypointMobilityModel()
+{
+    m_event.Cancel();
+}
+
 void
 SteadyStateRandomWaypointMobilityModel::DoInitialize()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/steady-state-random-waypoint-mobility-model.h ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.h
--- ns-3.42/src/mobility/model/steady-state-random-waypoint-mobility-model.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Denis Fakhriev <fakhriev@iitp.ru>
  */
@@ -62,6 +51,7 @@
      */
     static TypeId GetTypeId();
     SteadyStateRandomWaypointMobilityModel();
+    ~SteadyStateRandomWaypointMobilityModel() override;
 
   protected:
     void DoInitialize() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/waypoint.cc ns-3.43/src/mobility/model/waypoint.cc
--- ns-3.42/src/mobility/model/waypoint.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/waypoint.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Phillip Sitbon
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Phillip Sitbon <phillip@sitbon.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/waypoint.h ns-3.43/src/mobility/model/waypoint.h
--- ns-3.42/src/mobility/model/waypoint.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/waypoint.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Phillip Sitbon
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Phillip Sitbon <phillip@sitbon.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/waypoint-mobility-model.cc ns-3.43/src/mobility/model/waypoint-mobility-model.cc
--- ns-3.42/src/mobility/model/waypoint-mobility-model.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/waypoint-mobility-model.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Phillip Sitbon
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Phillip Sitbon <phillip@sitbon.net>
  */
@@ -77,6 +66,7 @@
 
 WaypointMobilityModel::~WaypointMobilityModel()
 {
+    m_event.Cancel();
 }
 
 void
@@ -102,7 +92,9 @@
 
     if (!m_lazyNotify)
     {
-        Simulator::Schedule(waypoint.time - Simulator::Now(), &WaypointMobilityModel::Update, this);
+        m_event = Simulator::Schedule(waypoint.time - Simulator::Now(),
+                                      &WaypointMobilityModel::Update,
+                                      this);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/waypoint-mobility-model.h ns-3.43/src/mobility/model/waypoint-mobility-model.h
--- ns-3.42/src/mobility/model/waypoint-mobility-model.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/waypoint-mobility-model.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Phillip Sitbon
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Phillip Sitbon <phillip@sitbon.net>
  */
@@ -192,6 +181,10 @@
      * \brief The current velocity vector
      */
     mutable Vector m_velocity;
+    /**
+     * \brief Update event
+     */
+    EventId m_event;
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/box-line-intersection-test.cc ns-3.43/src/mobility/test/box-line-intersection-test.cc
--- ns-3.42/src/mobility/test/box-line-intersection-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/box-line-intersection-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/box-line-intersection-test.h ns-3.43/src/mobility/test/box-line-intersection-test.h
--- ns-3.42/src/mobility/test/box-line-intersection-test.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/box-line-intersection-test.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/geocentric-topocentric-conversion-test.cc ns-3.43/src/mobility/test/geocentric-topocentric-conversion-test.cc
--- ns-3.42/src/mobility/test/geocentric-topocentric-conversion-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/geocentric-topocentric-conversion-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2024 University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Matteo Pagin <mattpagg@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/geo-to-cartesian-test.cc ns-3.43/src/mobility/test/geo-to-cartesian-test.cc
--- ns-3.42/src/mobility/test/geo-to-cartesian-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/geo-to-cartesian-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/mobility-test-suite.cc ns-3.43/src/mobility/test/mobility-test-suite.cc
--- ns-3.42/src/mobility/test/mobility-test-suite.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/mobility-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/mobility-trace-test-suite.cc ns-3.43/src/mobility/test/mobility-trace-test-suite.cc
--- ns-3.42/src/mobility/test/mobility-trace-test-suite.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/mobility-trace-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/ns2-mobility-helper-test-suite.cc ns-3.43/src/mobility/test/ns2-mobility-helper-test-suite.cc
--- ns-3.42/src/mobility/test/ns2-mobility-helper-test-suite.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/ns2-mobility-helper-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  *               2009,2010 Contributors
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Contributors: Thomas Waldecker <twaldecker@rocketmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/rand-cart-around-geo-test.cc ns-3.43/src/mobility/test/rand-cart-around-geo-test.cc
--- ns-3.42/src/mobility/test/rand-cart-around-geo-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/rand-cart-around-geo-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/rectangle-closest-border-test.cc ns-3.43/src/mobility/test/rectangle-closest-border-test.cc
--- ns-3.42/src/mobility/test/rectangle-closest-border-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/rectangle-closest-border-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc ns-3.43/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc
--- ns-3.42/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Denis Fakhriev <fakhriev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/test/waypoint-mobility-model-test.cc ns-3.43/src/mobility/test/waypoint-mobility-model-test.cc
--- ns-3.42/src/mobility/test/waypoint-mobility-model-test.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/test/waypoint-mobility-model-test.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Phillip Sitbon
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Phillip Sitbon <phillip@sitbon.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/mpi-test-fixtures.cc ns-3.43/src/mpi/examples/mpi-test-fixtures.cc
--- ns-3.42/src/mpi/examples/mpi-test-fixtures.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/mpi-test-fixtures.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2018. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/mpi-test-fixtures.h ns-3.43/src/mpi/examples/mpi-test-fixtures.h
--- ns-3.42/src/mpi/examples/mpi-test-fixtures.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/mpi-test-fixtures.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2018. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/nms-p2p-nix-distributed.cc ns-3.43/src/mpi/examples/nms-p2p-nix-distributed.cc
--- ns-3.42/src/mpi/examples/nms-p2p-nix-distributed.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/nms-p2p-nix-distributed.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * (c) 2009, GTech Systems, Inc. - Alfred Park <park@gtech-systems.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/simple-distributed.cc ns-3.43/src/mpi/examples/simple-distributed.cc
--- ns-3.42/src/mpi/examples/simple-distributed.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/simple-distributed.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/simple-distributed-empty-node.cc ns-3.43/src/mpi/examples/simple-distributed-empty-node.cc
--- ns-3.42/src/mpi/examples/simple-distributed-empty-node.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/simple-distributed-empty-node.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/simple-distributed-mpi-comm.cc ns-3.43/src/mpi/examples/simple-distributed-mpi-comm.cc
--- ns-3.42/src/mpi/examples/simple-distributed-mpi-comm.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/simple-distributed-mpi-comm.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2018. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/examples/third-distributed.cc ns-3.43/src/mpi/examples/third-distributed.cc
--- ns-3.42/src/mpi/examples/third-distributed.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/examples/third-distributed.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "mpi-test-fixtures.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/distributed-simulator-impl.cc ns-3.43/src/mpi/model/distributed-simulator-impl.cc
--- ns-3.42/src/mpi/model/distributed-simulator-impl.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/model/distributed-simulator-impl.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  *
